Author Topic: Need your help GPD XD Community  (Read 406 times)

PsyOps (OP)

  • **
  • Posts: 551
    • Section Eight
Need your help GPD XD Community
« on: October 10, 2017, 05:04:35 am »
New Legacy Rom - this was my original intention when I first started reading up on how to make custom firmware. The result was: There was only one thing wrong with the older version. It was not compatible with twrp because the system partition was not formatted in ext4. The rom was tweaked as much as it could and it works great. Why fix it if it aint broke right? So I converted the system partition to ext4 and uploaded it to my own website. So now everyone who installs it from now on will have the updated version.

So why would anyone want a new firmware? 2 reasons:
1.) Updated OS for compatability with newer apps: Unfortunately this can not really be helped and we may be stuck on KitKat. Someone is trying to update to android 7.1 and you can check the progress here (https://boards.dingoonity.org/gpd-android-devices/(experimental)-android-7-1-for-gpd-xd/).
2.) Included, optimized apps that include the bells and whistles: This I can do.


Legacy Rom will stay the same but this will be a post installer with apps included.


The problem I forsee happening is the size of the file. I can make a very easy installer using a custom recovery ( TWRP ). This seems like a useful installation as long as it doesn't become a huge file.

I have hosted a few files for GPD XD that may be useful for you guys here: http://sectioneight.net/node/57 .

So my question for you guys is: What files would you want to install on a fresh flash of LegacyRom?

I am thinking something like:
Browsers: Firefox, Chrome, Chromium, Dolphin, Stock
Filebrowser: Stock, ES File Explorer
Launcher: Smart, TV, Halauncher, Square Home 2, romflix, Metro (stock)
Media: Kodi, MX Player, Hulu, Netflix
Optimized/Best for GPDXD apps: Emus maybe (specific versions), Happychick(boo), etc..

If you want a preview of what the installer will look like, grab this file and flash it with TWRP or CWM - best with TWRP( IT WILL NOT FLASH OR CHANGE ANYTHING, it is just a DEMO): http://sectioneight.net/s8files/temp/S8-AromaExample.zip

What do you guys think? Suggestions? Questions?
What I really could use is a list of apps/emus and versions of those apps/emus that work best with gpd xd. In some cases like Kodi and Netflix you can not get those apps in the market. I have stock versions of those 2 apps that would be included in the bundle. Optimized for GPD XD.


** Please post your suggestions here but I am compiling the list here: https://www.reddit.com/r/gpdxd/comments/75ejn3/need_your_help_gpd_xd_community/ **
« Last Edit: October 10, 2017, 10:49:10 am by PsyOps »

CommanderKitler

  • *
  • Posts: 102
Re: Need your help GPD XD Community
« Reply #1 on: October 10, 2017, 07:35:53 am »
Having retroarch with compatible (older) cores preinstalled would be great. Specifically mupen and MAME don't work right on KitKat.

If you want to package a mediacenter with it, use mygica instead of kodi as new versions of kodi don't work with anything lower than 5.0 and mygica is just a fork of kodi 17 with 4.4 support intact.

PsyOps (OP)

  • **
  • Posts: 551
    • Section Eight
Re: Need your help GPD XD Community
« Reply #2 on: October 10, 2017, 07:47:30 am »
I have the Kodi.apk that came with stock. I watched a review on gpd that said the stock kodi was supposed to be tweaked for it, so I am not sure of how true it is. But that can be an option too. I will have to install mygica and give it a try. Is it compatible with a system setup with kodi. I don't have media on my gpd. I only use kodi to access my media pc on the network with kodi installed on it.

ruffnutts

  • ***
  • Posts: 2422
Re: Need your help GPD XD Community
« Reply #3 on: October 10, 2017, 10:19:08 pm »
PsyOps thanks for your help today  8)

PsyOps (OP)

  • **
  • Posts: 551
    • Section Eight
Re: Need your help GPD XD Community
« Reply #4 on: October 10, 2017, 10:30:56 pm »
Np bud, happy to help. Just let me know if you have any insights on any apps or app versions that work best with gpd xd. Just post here so I can compile a master list.

c4ffeineaddict

  • *
  • Posts: 29
Re: Need your help GPD XD Community
« Reply #5 on: October 12, 2017, 04:32:36 pm »
Would there be a way to select which apps you want to install, or would this installer automatically install everything included in it?

For example, I would only want chrome, not 4 browsers.

Some of the apps I use are paid: nova prime, arc browser, es file explorer pro, so I'd manually install those anyway.

I think a repository of recommended apps and compatible versions where users can download from would be great for advanced users and the app pack installer for noobs who just want everything bulk installed and preconfigured so they can see what they like, or have little configuration to do


Sent from my iPhone using Tapatalk

PsyOps (OP)

  • **
  • Posts: 551
    • Section Eight
Re: Need your help GPD XD Community
« Reply #6 on: October 12, 2017, 05:34:12 pm »
The idea is to make the user in charge of what to install. This would not be a new rom it would be an install package to use after you install Legacy.

Do you have a custom recovery installed c4ffeine?

c4ffeineaddict

  • *
  • Posts: 29
Re: Need your help GPD XD Community
« Reply #7 on: October 12, 2017, 10:19:16 pm »
Yes.  I use CWM, thanks to your tutorial :)

PsyOps (OP)

  • **
  • Posts: 551
    • Section Eight
Re: Need your help GPD XD Community
« Reply #8 on: October 12, 2017, 11:12:02 pm »
then take this file : http://sectioneight.net/s8files/temp/S8-AromaExample.zip 

put it in your gpd internal memory, inside /sdcard and then install it with CWM. Or use flashify to install it.

You will get an idea of where I am going. Its a demo, the file doesnt flash, change, or delete anything.

c4ffeineaddict

  • *
  • Posts: 29
Re: Need your help GPD XD Community
« Reply #9 on: October 12, 2017, 11:32:52 pm »
Just walked through the demo.  Looks really good and has the ability to select which apps you want to install.  Exactly what I was asking about.

One other thing I noticed, and maybe this didn't work because it was just a demo, but I was trying to exit at various points but found I was unable to.  At the end just before the installation step, it says to press the menu button to exit, but I was unable to get that to work.

PsyOps (OP)

  • **
  • Posts: 551
    • Section Eight
Re: Need your help GPD XD Community
« Reply #10 on: October 13, 2017, 12:45:15 am »
yeh havent had a chance to play with it yet, but you can try under the one of the demo listings, i forget which one it is, but there is an exit menu there. Also CWM is a bit picky with it. You should consider converting your legacy rom into ext4, or if it is already ext4, install TWRP.
much nicer custom recovery, and touch based.

excentrix

Re: Need your help GPD XD Community
« Reply #11 on: October 13, 2017, 01:10:39 am »
If your to create a custom install of the legacy roms, TWRP images would be useful.

Also, may i suggest sambadroid and maybe sshdroid.


c4ffeineaddict

  • *
  • Posts: 29
Re: Need your help GPD XD Community
« Reply #12 on: October 13, 2017, 01:40:42 am »
You should consider converting your legacy rom into ext4, or if it is already ext4, install TWRP.
much nicer custom recovery, and touch based.

Mine is ext4.  Can I run both cwm and twrp or can you only have one installed?



Sent from my iPhone using Tapatalk

PsyOps (OP)

  • **
  • Posts: 551
    • Section Eight
Re: Need your help GPD XD Community
« Reply #13 on: October 13, 2017, 01:45:24 am »
Only one installed. But you should switch now if you can. If i were you i would backup with cwm, move it to pc. Then install twrp and then backup again. If everything goes smooth you can toss your cwm backups.

The 3 big reasons i suggest twrp over cwm is, it is touchscreen, it can use cards bigger than 32GB ( CWM cant), and it has a very nice companion app named TWRP Manager ( it lets you backup from home screen.

*also that demo flash file you tested, is all in touch with twrp.

c4ffeineaddict

  • *
  • Posts: 29
Re: Need your help GPD XD Community
« Reply #14 on: October 13, 2017, 01:50:13 am »
it can use cards bigger than 32GB ( CWM cant)

Can you elaborate on this?  I have 64GB internal and 200GB external.  I've backed up with CWM multiple times.  Haven't restored tho...


Sent from my iPhone using Tapatalk

 

Post a new topic